ALLOC_NETDEV_MQS(9)

NAME
alloc_netdev_mqs - allocate network device

SYNOPSIS

struct net_device * alloc_netdev_mqs(int sizeof_priv, const char * name, unsigned char name_assign_type, void (*setup) (struct net_device *), unsigned int txqs, unsigned int rxqs);

ARGUMENTS

sizeof_priv
    size of private data to allocate space for

name
    device name format string

name_assign_type
    origin of device name

setup
    callback to initialize device

txqs
    the number of TX subqueues to allocate

rxqs
    the number of RX subqueues to allocate

DESCRIPTION

Allocates a struct net_device with private data area for driver use and performs basic initialization. Also allocates subqueue structs for each queue on the device.

COPYRIGHT